## sp-stress 0.0.4-1

=== Makefile ===
# A simple makefile for compiling and installing the tools 
# (as they do not use fancy libraries, autotools would be overkill for now).

all:
	$(MAKE) -C src

clean:
	$(MAKE) -C src clean

distclean:
	$(MAKE) -C src distclean

install:
	mkdir -p $(DESTDIR)/usr/bin
	install src/cpuload $(DESTDIR)/usr/bin/
	install src/ioload $(DESTDIR)/usr/bin/
	install src/memload $(DESTDIR)/usr/bin/

=== src/Makefile ===
TARGETS = cpuload ioload memload

all: $(TARGETS)

clean:
	$(RM) *.o *~

distclean: clean
	$(RM) $(TARGETS)

cpuload: cpuload.c
	gcc $(CFLAGS) -s -o $@ $^

ioload: ioload.c
	gcc $(CFLAGS) -s -lrt -o $@ $^

memload: memload.c
	gcc $(CFLAGS) -s -o $@ $^

=== debian/changelog ===
sp-stress (0.0.4-1) unstable; urgency=low

  * More manual page updates. Fixes: NB#75881

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 15 Nov 2007 17:07:39 +0200

sp-stress (0.0.3-1) unstable; urgency=low

  * Ioload manual page update.
  * Fixes: NB#73288

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 18 Oct 2007 11:24:02 +0300

sp-stress (0.0.2-2) unstable; urgency=low

  * Updating contact information.
  * Fixes: NB#59587

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 21 Aug 2007 13:01:02 +0300

sp-stress (0.0.2-1) unstable; urgency=low

  * Added missing manual pages
  * Checked and fixed copyright information
  * Fixes: NB#59587

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  6 Jun 2007 16:57:15 +0300

sp-stress (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 19 Apr 2007 14:16:15 +0300

=== debian/control ===
Source: sp-stress
Section: misc
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: sp-stress
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for creating cpu/io/memory load
 Contains three tools (cpuload, ioload and memload) for creating
 the corresponding kinds of system load.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

export CFLAGS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sp-stress.sgml > sp-stress.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sp-stress.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sp-stress


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs doc/README
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman doc/man/*
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sp-stress 0.1.1-1

=== Makefile ===
--- 
+++ 
@@ -15,3 +15,4 @@
 	install src/cpuload $(DESTDIR)/usr/bin/
 	install src/ioload $(DESTDIR)/usr/bin/
 	install src/memload $(DESTDIR)/usr/bin/
+	install scripts/run_secs $(DESTDIR)/usr/bin/

=== debian/changelog ===
sp-stress (0.1.1-1) unstable; urgency=low

  * Cpuload no longer attempts to automatically raise its own priority.
    Instead, this needs to be explicitly requested with the new -p
    option. Fixes: NB#83658
  * Fixed cpuload reporting priority raising failures even when it
    actually had succeeded

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri,  4 Apr 2008 10:04:22 +0300

sp-stress (0.1.0-1) unstable; urgency=low

  * Added run_secs convenience script for running stress tools for a
    limited amount of time. Fixes: NB#76249

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 28 Nov 2007 17:43:21 +0200

## sp-stress 0.1.9-1%2b0m5

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 install:
 	mkdir -p $(DESTDIR)/usr/bin
 	install src/cpuload $(DESTDIR)/usr/bin/
-	install src/ioload $(DESTDIR)/usr/bin/
 	install src/memload $(DESTDIR)/usr/bin/
+	install src/swpload $(DESTDIR)/usr/bin/
+	install scripts/flash_eater $(DESTDIR)/usr/bin/
+	install scripts/ioload $(DESTDIR)/usr/bin
 	install scripts/run_secs $(DESTDIR)/usr/bin/

=== src/Makefile ===
TARGETS = cpuload memload swpload

all: $(TARGETS)

clean:
	$(RM) *.o *~

distclean: clean
	$(RM) $(TARGETS)

cpuload: cpuload.c
	gcc $(CFLAGS) -o $@ $^

memload: memload.c
	gcc $(CFLAGS) -o $@ $^

swpload: swpload.c
	gcc $(CFLAGS) -o $@ $^

=== debian/changelog ===
sp-stress (0.1.9-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Fri, 04 Sep 2009 15:07:26 +0300

sp-stress (0.1.9-1) unstable; urgency=low

  * Fixes: NB#136802 - memload to handle oom_adj write errors correctly

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Fri, 04 Sep 2009 14:50:45 +0300

sp-stress (0.1.8-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Wed, 10 Jun 2009 16:47:36 +0300

sp-stress (0.1.8-1) unstable; urgency=low

  * Fix possible overflow

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Wed, 10 Jun 2009 16:18:26 +0200

sp-stress (0.1.7-1) unstable; urgency=low

  * Add help message for option '-l' of memload

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Wed, 25 Mar 2009 16:01:10 +0200

sp-stress (0.1.6-1) unstable; urgency=low

  * Fixes: NB#88931 - Support for filling RAM and disk until only specified 
    amount is free

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Tue, 17 Mar 2009 11:31:10 +0200

sp-stress (0.1.5-1) unstable; urgency=low

  * Ioload was deprecated and replaced with a minimal shell script that
    recommends using spew instead.
  * Sp-stress now recommends spew. Fixes: NB#95931
  * Added swpload tool for generating paging load. Fixes: NB#99227

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 27 Jan 2009 11:10:34 +0200

sp-stress (0.1.4-1) unstable; urgency=low

  * Memload: Fixed a segmentation fault occurring in argument handling.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 18 Nov 2008 10:33:00 +0200

sp-stress (0.1.3-1) unstable; urgency=low

  * Sp-stress-dbg package is now created.
  * Cpuload now supports selection of scheduler
  * Cpuload supports now setting up highest or lowest priority available
    without resorting to additional tools.
  * Fixes: NB#91185
  * Fixed the manual page for flash_eater missing from previous release.
  * Cpuload now validates load values more strictly.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri, 31 Oct 2008 14:49:39 +0200

sp-stress (0.1.2-2) unstable; urgency=low

  * debian/rules performed a clean where distclean would have been
    needed instead. Fixed.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 15 Oct 2008 13:43:13 +0300

sp-stress (0.1.2-1) unstable; urgency=low

  * Added new script (flash_eater) to use up flash storage space until
    only a given amount remains.
  * Added a new option (-l) to memload; it will allocate memory so that
    only a given amount is left.
  * Added documentation for the new script and memload option.
  * Fixes: NB#88931

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  9 Oct 2008 17:24:05 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,15 @@
 
 Package: sp-stress
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, stress
+Recommends: spew
 Description: Tools for creating cpu/io/memory load
- Contains three tools (cpuload, ioload and memload) for creating
+ Contains three tools (cpuload, memload and swpload) for creating
  the corresponding kinds of system load.
+
+Package: sp-stress-dbg
+Architecture: any
+Section: devel
+Depends: sp-stress (= ${Source-Version})
+Description: sp-stress debug symbols
+ Contains debug symbol files for sp-stress utilities

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	dh_clean 
 
@@ -84,7 +84,7 @@
 #	dh_installinfo
 	dh_installman doc/man/*
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=sp-stress
 	dh_compress
 	dh_fixperms
 #	dh_perl
